> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run the latest flow version

> Run the latest "published" version of a flow with a given flow ID.



## OpenAPI

````yaml post /v1/orchestrate/flows/{flow_id}/run
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/flows/{flow_id}/run:
    post:
      tags:
        - Flows
      summary: Run the latest flow version
      description: Run the latest "published" version of a flow with a given flow ID.
      operationId: runFlow
      parameters:
        - in: header
          name: x-ibm-thread-id
          description: The ID of the thread where the flow was started
          required: false
          schema:
            type: string
        - in: header
          name: x-ibm-environment-id
          description: The target environment ID - draft or live
          required: false
          schema:
            type: string
        - in: header
          name: x-ibm-agent-id
          description: The caller agent id
          required: false
          schema:
            type: string
        - in: header
          name: x-ibm-agent-version
          description: The caller agent version
          required: false
          schema:
            type: string
        - in: header
          name: x-ibm-flow-execution-summary
          description: Generate the flow execution summary. Default to false.
          required: false
          schema:
            type: boolean
        - in: path
          name: flow_id
          description: The flow id
          required: true
          schema:
            type: string
        - in: query
          name: request_timeout
          description: The flow request timeout.
          required: false
          schema:
            type: number
            default: 60000
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: The input defined by the flow model
      responses:
        '200':
          description: The flow execution is completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  AnyValue:
                    type: object
                    description: The output defined by the flow model
        '404':
          description: The flow model does not exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                    additionalProperties: true
                    required:
                      - message
                required:
                  - data
        '409':
          description: The flow is in progress.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                    additionalProperties: true
                    required:
                      - message
                required:
                  - data
        '410':
          description: The flow is archived.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                    additionalProperties: true
                    required:
                      - message
                required:
                  - data
        '500':
          description: The flow execution failed with internal error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                    additionalProperties: true
                    required:
                      - message
                required:
                  - data
      security:
        - HTTPBearer: []
components:
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````